Summary:	X Shared Memory Fence library
Summary(pl.UTF-8):	Biblioteka X Shared Memory Fence
Name:		xorg-lib-libxshmfence
Version:	1.3.2
Release:	1%{?tld}
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libxshmfence-%{version}.tar.xz
# Source0-md5:	faa74f7483074ce7d4349e6bdc237497
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Shared Memory Fence library - shared memory "SyncFence"
synchronization primitive.

This library offers a CPU-based synchronization primitive compatible
with the X SyncFence objects that can be shared between processes
using file descriptor passing.

%description -l pl.UTF-8
Biblioteka X Shared Memory Fence to implementacja synchronizacji
pamięci dzielonej "SyncFence.

Biblioteka oferuje synchronizację dla procesora zgodną z obiektami X
SyncFence, które można współdzieloć między procesami przy użyciu
przekazywania deskryptorów plików.

%package devel
Summary:	Header files for libxshmfence library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxshmfence
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
xshmfence library.

This package contains the header files needed to develop programs that
use libxshmfence.

%description devel -l pl.UTF-8
Biblioteka xshmfence.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libxshmfence.

%package static
Summary:	Static libxshmfence library
Summary(pl.UTF-8):	Biblioteka statyczna libxshmfence
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
xshmfence library.

This package contains the static libxshmfence library.

%description static -l pl.UTF-8
Biblioteka xshmfence.

Pakiet zawiera statyczną bibliotekę libxshmfence.

%prep
%setup -q -n libxshmfence-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config, no external dependencies
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxshmfence.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libxshmfence.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxshmfence.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxshmfence.so
%{_includedir}/X11/xshmfence.h
%{_pkgconfigdir}/xshmfence.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxshmfence.a
%changelog
* Wed Dec 13 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libxshmfence.git;a=log;h=master

* Thu Dec 29 2022 Jakub Bogusz <qboosh@pld-linux.org> eeacf09
- updated to 1.3.2

* Wed Oct 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 22359d8
- updated to 1.3.1

* Wed Feb 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 7ad6ef1
- updated to 1.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 35b1dca
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 23703dd
- updated to 1.2

* Wed Nov 27 2013 Jakub Bogusz <qboosh@pld-linux.org> efb880c
- updated to 1.1

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> e0a25d8
- new

